## jarchivelib 1.1.0

=== src/test/resources/Makefile ===
CPF = compress.txt
AR  = archive

all: archives compress

## archives
## TODO: separate
archives:
	cd $(AR);                                                         \
	tar czf ../$(AR).tar.gz *;                                        \
	tar cjf ../$(AR).tar.bz2 *;                                       \
	tar cf ../$(AR).tar *;                                            \
	zip -q -r ../$(AR) .;                                             \
	jar cMf ../$(AR).jar .;                                           \
	find . -depth ! -path . -print | cpio --quiet -o > ../$(AR).cpio; \
	7z a -t7z ../$(AR).7z . > /dev/null;

## compress
compress: $(CPF).gz $(CPF).lzma $(CPF).bz2 $(CPF).xz

$(CPF).gz:
	gzip -c $(CPF) > $@

$(CPF).bz2:
	bzip2 -c $(CPF) > $@

$(CPF).lzma:
	lzma -z -c $(CPF) > $@

$(CPF).xz:
	xz -z -c $(CPF) > $@

## clean
clean: clean-compress clean-archives

clean-compress:
	rm -f $(CPF).*

clean-archives:
	rm -f $(AR).*

## jarchivelib 1.0.0

=== debian/changelog ===
jarchivelib (1.0.0-2) unstable; urgency=medium

  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Sep 2019 01:07:19 -0400

jarchivelib (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #929375)

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 May 2019 09:21:36 -0400

=== debian/control ===
Source: jarchivelib
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper (>= 12),
 libmaven-bundle-plugin-java,
 maven-debian-helper,
Standards-Version: 4.4.0
Homepage: https://rauschig.org/jarchivelib/
Vcs-Browser: https://salsa.debian.org/java-team/jarchivelib
Vcs-Git: https://salsa.debian.org/java-team/jarchivelib.git

Package: libjarchivelib-java
Architecture: all
Depends:
 ${maven:CompileDepends},
 ${maven:Depends},
 ${misc:Depends},
Suggests:
 ${maven:OptionalDepends},
Description: simple archiving and compression library for Java
 A simple archiving and compression library for Java that provides a thin and
 easy-to-use API layer on top of the powerful and feature-rich
 org.apache.commons.compress.

## jarchivelib 1.1.0

=== debian/changelog ===
jarchivelib (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Updating debian/copyright.
  * Adding Apache 2.0 license text.
  * Adding 'Rules-Requires-Root: no'.
  * Bumping debhelper-compat to 13 (no changes).

 -- Andrius Merkys <merkys@debian.org>  Wed, 26 Aug 2020 01:59:20 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jarchivelib-$1.tar.gz%" \
 https://github.com/thrau/jarchivelib/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## jarchivelib 1.2.0

=== src/test/resources/Makefile ===
--- 
+++ 
@@ -1,7 +1,17 @@
+.PHONY = permissions archives compress clean
+
 CPF = compress.txt
 AR  = archive
 
-all: archives compress
+all: permissions archives compress
+
+permissions:
+	cd $(AR); \
+	chmod 755 permissions/executable_file.txt; \
+	chmod 700 permissions/private_executable_file.txt; \
+	chmod 444 permissions/readonly_file.txt; \
+	chmod 700 permissions/private_folder; \
+	chmod 600 permissions/private_folder/private_file.txt;
 
 ## archives
 ## TODO: separate

=== debian/changelog ===
jarchivelib (1.2.0-2) unstable; urgency=medium

  * Removing empty debian/maven.cleanIgnoreRules.
  * Watching GitHub tags instead of releases.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 09 Nov 2021 01:34:48 -0500

jarchivelib (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 20 Aug 2021 01:26:44 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libmaven-bundle-plugin-java,
  maven-debian-helper,
 Standards-Version: 4.4.0
-Homepage: https://rauschig.org/jarchivelib/
+Homepage: https://rauschig.org/jarchivelib
 Vcs-Browser: https://salsa.debian.org/java-team/jarchivelib
 Vcs-Git: https://salsa.debian.org/java-team/jarchivelib.git
+Rules-Requires-Root: no
 
 Package: libjarchivelib-java
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jarchivelib-$1.tar.gz%" \
 https://github.com/thrau/jarchivelib/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
